<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">DefaultGpuBufferAllocator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Terrain::DefaultGpuBufferAllocator Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#aab7c65d2cb7af5c84670c996c389bffb">allocateVertexBuffers</a>(Terrain *forTerrain, size_t numVertices, HardwareVertexBufferSharedPtr &amp;destPos, HardwareVertexBufferSharedPtr &amp;destDelta)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#aefc4903a668c681052b0a0186b4f5bc9">DefaultGpuBufferAllocator</a>()</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a13c9b9478bc9a473ce46e0dc62e88854">freeAllBuffers</a>()</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#af98bc1200700effb840c37f3d7b60b6f">freeVertexBuffers</a>(const HardwareVertexBufferSharedPtr &amp;posbuf, const HardwareVertexBufferSharedPtr &amp;deltabuf)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a34f2a33f27ae8732c4b034047929f56f">getSharedIndexBuffer</a>(uint16 batchSize, uint16 vdatasize, size_t vertexIncrement, uint16 xoffset, uint16 yoffset, uint16 numSkirtRowsCols, uint16 skirtRowColSkip)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a8a967b2956ceb3c27600eee4155400ae">getVertexBuffer</a>(VBufList &amp;list, size_t vertexSize, size_t numVertices)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html#adafa196fd89b566090806bde188bbf33">GpuBufferAllocator</a>()</td><td><a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html">Ogre::Terrain::GpuBufferAllocator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a9e0d372be29095c1cd0ee0625567ccb4">hashIndexBuffer</a>(uint16 batchSize, uint16 vdatasize, size_t vertexIncrement, uint16 xoffset, uint16 yoffset, uint16 numSkirtRowsCols, uint16 skirtRowColSkip)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#aaa440fddd2249c96890533c6d20e21a6">IBufMap</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a1f0cda9f231eb97e7fd0367ddc8055c9">mFreeDeltaBufList</a></td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a8820ed742f93ba0b13da637d71b934a9">mFreePosBufList</a></td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a80d57bd40f5fa54dc002dc208fc096bb">mSharedIBufMap</a></td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a55379cc5331736568c8a73ad2cc5c5ed">VBufList</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#ad52747460145f8b432fdfe7da0512057">warmStart</a>(size_t numInstances, uint16 terrainSize, uint16 maxBatchSize, uint16 minBatchSize)</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#a640854efabcf1f96ca9d6f8875fd8e37">~DefaultGpuBufferAllocator</a>()</td><td><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html#ab50e9928256ddbd09462938a7e13e3c8">~GpuBufferAllocator</a>()</td><td><a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html">Ogre::Terrain::GpuBufferAllocator</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
